/// <reference types="node" />
import { Context } from 'vm';
import { TransformOptions } from 'esbuild';

interface Options {
    dirname?: string;
    globals?: Context;
    useCurrentGlobal?: boolean;
}
declare const requireFromString: (code: string, { dirname, globals, useCurrentGlobal }?: Options) => any;
declare const createRequireFromString: (options?: Options | undefined) => typeof requireFromString;

interface ImportOptions extends Options {
    transformOptions?: TransformOptions;
}
declare const importFromString: (code: string, { transformOptions, ...commonOptions }?: ImportOptions) => Promise<any>;
declare const createImportFromString: (options?: ImportOptions | undefined) => typeof importFromString;
declare const importFromStringSync: (code: string, { transformOptions, ...commonOptions }?: ImportOptions) => any;
declare const createImportFromStringSync: (options?: ImportOptions | undefined) => typeof importFromStringSync;

export { ImportOptions, Options, createImportFromString, createImportFromStringSync, createRequireFromString, importFromString, importFromStringSync, requireFromString };
